/**

customized: false

 */

/******************************************  Variables   ***********************************+*******/

:root {
    /* Color */
    --color-primary: hsl(208, 100%, 44.5%);
    --color-primary-hover: hsl(208, 100%, 40%);
    --color-primary-light: hsl(208, 100%, 60%);
    --color-primary-lighter: hsl(208, 100%, 80%);
    --color-white: white;
    --color-black: black;
    --color-gray: #adadad;
    --color-gray-light: #b0b0b0;
    --color-gray-lighter: lightgray;

    /* Time */
    --time-quarter: 250ms;
    --time-half: 500ms;
}


/******************************************  Fonts   ***********************************+*******/
.autostyle, .auto-font {
    font-family: Segoe Light, Segoe UI Light, Segoe UI, Frutiger, Frutiger Linotype, Dejavu Sans, Helvetica Neue, Arial, sans-serif;
}


/******************************************  All Elements   ***********************************+*******/

.auto-animation *:not(img, input) {
    animation: fade-in 1s 0s 1;
    animation-fill-mode: none;
}



/******************************************  All input   ***********************************+*******/
button.autostyle , input.autostyle {
    border-radius: 0.5em;
    height: 3em;
    font-size: .875em;
    line-height: 1em;
    padding-left: 1em;
    padding-right: 1em;
    min-height: 1em;
}
/******************************************  Links   ***********************************+*******/
a.autostyle {
    text-decoration: none;
    color: darkblue;
}

a.autostyle:hover {
    transition: text-shadow 100ms;
    text-shadow: 0 0 1em blue;
}

/******************************************  Button   ***********************************+*******/

button.autostyle {
    box-shadow: 0 0 0.5em 0.05em var(--color-gray-light);
    font-weight: 600;
    border: solid 0.3em transparent;
    transition: border ease var(--time-quarter),background-color ease var(--time-quarter);
    color: var(--color-white);
    background-color: var(--color-primary);

    animation: jump-back-out 100ms ;
    cursor: pointer;
}
button.autostyle hover{

}
button.autostyle:active{
    transform: scale(0.98);
    animation: none;
}


@keyframes jump-back-out {
    0% {
        transform: scale(1);
    }
    35% {
        transform: scale(1.03);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}
@keyframes jump-back-in {
    0% {
        transform: scale(1);
    }
    35% {
        transform: scale(0.97);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}


/******************************************  Input   ***********************************+*******/

input.autostyle {
    height: 2.3em;
    box-shadow: inset 0 0 0.25em 0.01em var(--color-gray-lighter);

    border: solid 0.1em var(--color-gray-lighter);
    transition: all ease var(--time-quarter);
    color: var(--color-black);
}
input.autostyle:hover{
    box-shadow: inset 0 0 0.75em 0.03em var(--color-gray-lighter);
    cursor: pointer;
}
input.autostyle:focus{
    cursor: text;
    outline: 0 solid transparent;
    box-shadow: inset 0 0 0.25em 0.01em var(--color-primary-lighter), 0 0 0.25em 0.01em var(--color-primary-lighter);
}

/******************************************  Datepicker   ***********************************+*******/
input[type="date"].autostyle:focus{
    animation: jump-back-in 250ms ;
}

/******************************************  Checkbox   ***********************************+*******/
input[type="checkbox"].autostyle {
    cursor: pointer;
    height: 2em;
}
input[type="checkbox"].autostyle:focus{
    animation: jump-back-in 250ms ;
}

/******************************************  Image   ***********************************+*******/

img.autostyle:first-of-type {
    animation: fade-in-scale 1s 0s 1;
    animation-fill-mode: forwards;
}

img.autostyle:nth-of-type(2) {
    animation: fade-in-scale 1s 0.4s 1;
    animation-fill-mode: forwards;
}

img.autostyle:nth-of-type(3) {
    animation: fade-in-scale 1s 1s 1;
    animation-fill-mode: forwards;
}

img.autostyle {
    animation: fade-in-scale 1s 1.6s 1;
    animation-fill-mode: forwards;
}

/******************************************  Keyframe Animation   ***********************************+*******/

@keyframes fade-in-scale {
    0% {
        opacity: 0;
        transform: scale(0.9);
    }
    50% {
        opacity: 1;
        transform: scale(1);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fade-in {
    0% {
        opacity: 0;
        transform: scale(1);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

